<?php 

class Dog extends Model {
    protected $dbTable = "dogs";
    protected $dbFields = Array (
        'uuid' =>       ['type'=>'text','required','unique','autoValMethod'=>'gen_ulid'],
        'registered' => ['type'=>'datetime','required','unique','autoValMethod'=>'getDateTime'],
        'name' =>  ['type'=>'text'],
        'kennel_name' =>   ['type'=>'text'],
        'breed' =>   ['type'=>'text'],
        'size' =>   ['type'=>'text'], //in cm
        'birthday' => ['type'=>'text'],
        'agility_size' =>   ['type'=>'text'], //S,M,I,L
        'active' =>   ['type'=>'int','default'=>1]
    );
    
}